<div class="list">
  <h4>Interview Questions</h4>

  <div class="list-qs">
    <div class="row">
      <div class="col-md-3">

        <div class="search-bar">
          <div class="input-group">
            <input
              type="text"
              class="form-control"
              placeholder="Search modules"
              [(ngModel)]="searchText"
            />
          </div>
        </div>
        <ul class="list-group">
          <li
            class="list-group-item"
            *ngFor="let module of modules| filter:searchText; let i = index"
            [class.active]="i == currentmIndex"
            (click)="setActiveModule(module, i)"

          >
            {{ module.name }} <i class="fas fa-arrow-right" style="padding-left:5px; color:cornflowerblue;"></i>
          </li>
        </ul>

      </div>
      <div class="col-md-9">

    <ul class="list-group">
      <li
        class="list-group-items"
        *ngFor="let question of questions; let i = index"
        [class.active]="i == currentIndex"
        (click)="setActiveQuestion(question, i)"
      >
      <div *ngIf="currentmIndex==0; then first else next"></div>
        <ng-template #first>
        <div *ngIf="question.moduleId==1">
          <div class="oval"><i *ngIf="!show || i!=currentIndex" class= "fa fa-plus"></i>
            <i *ngIf="show && i==currentIndex" class= "fa fa-minus"></i>{{ question.question }}</div>
          <div *ngIf="show && i==currentIndex" class="ans">
            <i class="fas fa-circle" style="color:cornflowerblue; font-size: 8px;"></i> Standard answer :<br><h5>{{question.standardAnswer}}</h5>
            <i class="fas fa-circle" style="color:cornflowerblue; font-size: 8px;"></i> Interview answer:<br><h5>{{question.interviewAnswer}}</h5>
            <i class="fas fa-circle" style="color:cornflowerblue; font-size: 8px;"></i> Difficulty level :
            <div class="divlevel" *ngIf="question.difficultyLevel==easy">
              <input class="level"  type="range" id="level" name="level" min="0" max="100" value="0">
            </div>
            <div class="divlevel" *ngIf="question.difficultyLevel==medium">
              <input class="level"  type="range" id="level" name="level" min="0" max="100" value="50">
            </div>
            <div class="divlevel" *ngIf="question.difficultyLevel==difficult">
              <input class="level"  type="range" id="level" name="level" min="0" max="100" value="100">
            </div>
            <datalist id="level">
              <option value="0" label="easy"></option>
              <option value="50" label="medium"></option>
              <option value="100" label="difficult"></option>
              </datalist>
          </div>
        </div>
      </ng-template>

      <ng-template #next>
      <div *ngIf="question.moduleId==currentmodule.id">
      <div class="oval"><i *ngIf="!show || i!=currentIndex" class= "fa fa-plus"></i>
        <i *ngIf="show && i==currentIndex" class= "fa fa-minus"></i>{{ question.question }}</div>
      <div *ngIf="show && i==currentIndex" class="ans">
        <i class="fas fa-circle" style="color:cornflowerblue; font-size: 8px;"></i> Standard answer :<br><h5>{{question.standardAnswer}}</h5>
        <i class="fas fa-circle" style="color:cornflowerblue; font-size: 8px;"></i> Interview answer:<br><h5>{{question.interviewAnswer}}</h5>
        <i class="fas fa-circle" style="color:cornflowerblue; font-size: 8px;"></i> Difficulty level :
        <div class="divlevel" *ngIf="question.difficultyLevel==easy">
          <input class="level"  type="range" id="level" name="level" min="0" max="100" value="0">
        </div>
        <div class="divlevel" *ngIf="question.difficultyLevel==medium">
          <input class="level"  type="range" id="level" name="level" min="0" max="100" value="50">
        </div>
        <div class="divlevel" *ngIf="question.difficultyLevel==difficult">
          <input class="level"  type="range" id="level" name="level" min="0" max="100" value="100">
        </div>
        <datalist id="level">
          <option value="0" label="easy"></option>
          <option value="50" label="medium"></option>
          <option value="100" label="difficult"></option>
          </datalist>
      </div>
    </div>
  </ng-template>
      </li>
    </ul>
</div>
</div>
  </div>

</div>
